<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.slive.mapper.liveplay.CourseClassMapper">

    <!--获取课程关联指定班级外的其他班级数量-->
    <select id="getOtherClassnumByCourseid" resultType="java.lang.Integer">
        select count(*) from l_course_class where courseid=#{courseid} and classid!=#{classid}
    </select>

    <!--根据课程id和班级id删除关联关系-->
    <delete id="deleteByCourseidAndClassid">
        delete from l_course_class where courseid=#{courseid} and classid=#{classid}
    </delete>
</mapper>
